const state = {
    load: false,
};

const mutations = {
    SET_LOAD: (_state: any, payload: boolean) => {
        state.load = payload;
    },
};

const actions = {
    setLoad: (context: any, payload: boolean) => {
        context.commit('SET_LOAD', payload);
    },
};

const getters = {
    getLoad: (_state: any) => _state.load,
};

export default {
    namespaced: true,
    state,
    mutations,
    actions,
    getters,
};
